IO::CoCoA4PolyWriter Class Reference
Inheritance diagram for IO::CoCoA4PolyWriter:

## Public Member Functions

| CoCoA4PolyWriter (FILE *out)
virtual void | doWriteHeader ()
virtual void | doWriteTerm (const mpz_class &coef, const Term &term, const TermTranslator &translator, bool firstGenerator)
virtual void | doWriteTerm (const mpz_class &coef, const vector< mpz_class > &term, bool firstGenerator)
virtual void | doWriteFooter (bool wasZero)
Public Member Functions inherited from IO::PolyWriter
| PolyWriter (FILE *out)
virtual void | consumeRing (const VarNames &names)
virtual void | beginConsuming ()
virtual void | consume (const mpz_class &coef, const Term &term, const TermTranslator &translator)
virtual void | consume (const mpz_class &coef, const vector< mpz_class > &term)
virtual void | doneConsuming ()
virtual void | consume (const BigPolynomial &poly)
FILE * | getFile ()
const VarNames & | getNames () const
Public Member Functions inherited from CoefBigTermConsumer
virtual void | consume (const mpz_class &coef, const Term &term)
Public Member Functions inherited from CoefTermConsumer
virtual | ~CoefTermConsumer ()
virtual void | consume (const Polynomial &poly)

## Detailed Description

Definition at line 86 of file CoCoA4IOHandler.cpp.

## Constructor & Destructor Documentation

## CoCoA4PolyWriter()

IO::CoCoA4PolyWriter::CoCoA4PolyWriter | ( | FILE * | out | ) |

inline

Definition at line 88 of file CoCoA4IOHandler.cpp.

## Member Function Documentation

## doWriteFooter()

virtual void IO::CoCoA4PolyWriter::doWriteFooter | ( | bool | wasZero | ) |

inline virtual

Implements IO::PolyWriter.

Definition at line 143 of file CoCoA4IOHandler.cpp.

## doWriteHeader()

virtual void IO::CoCoA4PolyWriter::doWriteHeader | ( |  | ) |

inline virtual

Implements IO::PolyWriter.

Definition at line 91 of file CoCoA4IOHandler.cpp.

## doWriteTerm() [1/2]

virtual void IO::CoCoA4PolyWriter::doWriteTerm | ( | const mpz_class & | coef,
|  | const Term & | term,
|  | const TermTranslator & | translator,
|  | bool | firstGenerator )

inline virtual

Implements IO::PolyWriter.

Definition at line 96 of file CoCoA4IOHandler.cpp.

## doWriteTerm() [2/2]

virtual void IO::CoCoA4PolyWriter::doWriteTerm | ( | const mpz_class & | coef,
|  | const vector< mpz_class > & | term,
|  | bool | firstGenerator )

inline virtual

Implements IO::PolyWriter.

Definition at line 118 of file CoCoA4IOHandler.cpp.

The documentation for this class was generated from the following file:

- src/CoCoA4IOHandler.cpp